import textwrap

from nbformat import NotebookNode
from nbformat.v4 import new_markdown_cell, new_code_cell, new_notebook

from ewatercycle_experiment_launcher.generate import PY3_META
from ewatercycle_experiment_launcher.process import process_notebook


def post(body):
    """Generate notebook and launch it"""
    return process_notebook(body['notebook'], notebook())


def notebook() -> NotebookNode:
    """Generates a Jupyter notebook"""
    welcome = textwrap.dedent("""
    # Welcome
    
    This notebook was generated by the eWaterCycle experiment launcher.
    """)
    cells = [
        new_markdown_cell(welcome),
        new_code_cell("print('hello world')")
    ]
    return new_notebook(cells=cells, metadata=PY3_META)
